summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-11 07:02:18 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-06-11 07:02:18 +0000
commit263651ce6491d135171f20ff7c3512dbf3d0115c (patch)
tree38418e8f63b00bc15e6c89bd3b2c51e8efe4d7f0 /dev-python
parentcc426dee4497599c99eb1d2066848272a83b26d5 (diff)
downloadbaldeagleos-repo-263651ce6491d135171f20ff7c3512dbf3d0115c.tar.gz
baldeagleos-repo-263651ce6491d135171f20ff7c3512dbf3d0115c.tar.xz
baldeagleos-repo-263651ce6491d135171f20ff7c3512dbf3d0115c.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Levenshtein/Levenshtein-0.21.1.ebuild46
-rw-r--r--dev-python/Levenshtein/Manifest1
-rw-r--r--dev-python/argcomplete/Manifest1
-rw-r--r--dev-python/argcomplete/argcomplete-3.1.0.ebuild41
-rw-r--r--dev-python/bitarray/Manifest1
-rw-r--r--dev-python/bitarray/bitarray-2.7.5.ebuild24
-rw-r--r--dev-python/jsonschema-spec/Manifest1
-rw-r--r--dev-python/jsonschema-spec/jsonschema-spec-0.1.5.ebuild40
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/pytest/Manifest1
-rw-r--r--dev-python/pytest/pytest-7.3.2.ebuild107
-rw-r--r--dev-python/pyupgrade/Manifest1
-rw-r--r--dev-python/pyupgrade/pyupgrade-3.6.0.ebuild30
-rw-r--r--dev-python/sphinx-autoapi/Manifest1
-rw-r--r--dev-python/sphinx-autoapi/sphinx-autoapi-2.1.1.ebuild46
-rw-r--r--dev-python/sqlalchemy/Manifest1
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-2.0.16.ebuild119
-rw-r--r--dev-python/tempora/Manifest1
-rw-r--r--dev-python/tempora/tempora-5.3.0.ebuild33
-rw-r--r--dev-python/tokenize-rt/Manifest1
-rw-r--r--dev-python/tokenize-rt/tokenize-rt-5.1.0.ebuild25
22 files changed, 525 insertions, 8 deletions
diff --git a/dev-python/Levenshtein/Levenshtein-0.21.1.ebuild b/dev-python/Levenshtein/Levenshtein-0.21.1.ebuild
new file mode 100644
index 000000000000..1f9b997a92a0
--- /dev/null
+++ b/dev-python/Levenshtein/Levenshtein-0.21.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+# custom wrapper over setuptools
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Functions for fast computation of Levenshtein distance, and edit operations"
+HOMEPAGE="
+ https://pypi.org/project/Levenshtein/
+ https://github.com/maxbachmann/Levenshtein/
+"
+SRC_URI="
+ https://github.com/maxbachmann/Levenshtein/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+DEPEND="
+ >=dev-cpp/rapidfuzz-cpp-2.0.0
+"
+RDEPEND="
+ <dev-python/rapidfuzz-4.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ >=dev-python/scikit-build-0.13.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # sterilize build flags
+ sed -i -e '/CMAKE_INTERPROCEDURAL_OPTIMIZATION/d' CMakeLists.txt || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/Levenshtein/Manifest b/dev-python/Levenshtein/Manifest
index 0f02beaf7ce7..9289e0dd7718 100644
--- a/dev-python/Levenshtein/Manifest
+++ b/dev-python/Levenshtein/Manifest
@@ -1 +1,2 @@
DIST Levenshtein-0.21.0.gh.tar.gz 36616 BLAKE2B 8408ba8231a8ff3f6bf9e6cc7ea763061ca1c826236d74877213caef0ce736695865dc3c02565cce960b794d07f96f6413ca144565d6693debf90a1b5718524b SHA512 bb1cf70497e89db5b427eb4ac79708d205fc9edfc9588d30c63ef6e3e77b9369c8892edc31c32cb135d54947e8eedb770d06a7d5c6f8743d44378d7d1a12d459
+DIST Levenshtein-0.21.1.gh.tar.gz 36656 BLAKE2B b2e5325cd836b646d876fb59d1062c7bb415d707076d9692fff2b98e00dce29d813fb68c139283d66f8800fd836ec93b709ac7ebfaa6d9cca563b65c428019ef SHA512 5fd823e7871c53f521198275b7ebb3189f7208347d41f306686e11446397c4ed5b2672230cbfa76a0c2f1afcc08fd24c6c7468d808be2a09bb9c31c2d9f61f16
diff --git a/dev-python/argcomplete/Manifest b/dev-python/argcomplete/Manifest
index 51452ab29191..c1284b38a097 100644
--- a/dev-python/argcomplete/Manifest
+++ b/dev-python/argcomplete/Manifest
@@ -1 +1,2 @@
DIST argcomplete-3.0.8.tar.gz 56035 BLAKE2B 0b63eff175c2780b63d07ef48169054705a4af5b0e7f1097fc74e525592491d42a48615b766e32cb69a673e26d867cae84fb23b98194c9fe618409d3eb312b83 SHA512 4667f0d03485c81048c53ecfd53fa1bbe50beea15f723f3ebd8a92aae37dd2bbca709f9b6a1e0a5a682f9e769883f94614b4fcefc1fd7c9fad9f1d8cbc1429f3
+DIST argcomplete-3.1.0.tar.gz 89193 BLAKE2B de081c6c2a053835fde0e6fd446e7f310fae2e39dfd7dd0afd12c350ea6518623115f575a5b4479f466071f6c699ff336ee19dbe4ef02ae8e886ceef53cb0afc SHA512 43c28971661c1af0de9a69b05925ef83b6a8e9b007567d2e4a6344d2c1f34ee280e4306718eb6abad0883a96a2f8b4f4242f1436b0e7709944f4ec48a119e66d
diff --git a/dev-python/argcomplete/argcomplete-3.1.0.ebuild b/dev-python/argcomplete/argcomplete-3.1.0.ebuild
new file mode 100644
index 000000000000..a8131e060a2c
--- /dev/null
+++ b/dev-python/argcomplete/argcomplete-3.1.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Bash tab completion for argparse"
+HOMEPAGE="
+ https://github.com/kislyuk/argcomplete/
+ https://pypi.org/project/argcomplete/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# pip is called as an external tool
+BDEPEND="
+ test? (
+ app-shells/fish
+ app-shells/tcsh
+ app-shells/zsh
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pip-19
+ )
+"
+
+src_prepare() {
+ sed -i -e 's:timeout=5:timeout=180:' test/test.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ "${EPYTHON}" test/test.py -v || die
+}
diff --git a/dev-python/bitarray/Manifest b/dev-python/bitarray/Manifest
index 6db8dc7b50b6..0437f0ffba52 100644
--- a/dev-python/bitarray/Manifest
+++ b/dev-python/bitarray/Manifest
@@ -1,2 +1,3 @@
DIST bitarray-2.7.3.tar.gz 123574 BLAKE2B 9a7a1b0025a7853434ae5e1c6e7bc5302668016f3cf8d569376644ced092ab1b3c28eeaabdf9d51d604e98a3f68f8f8d3002a87cc4dbfd897e30e6b162adf4aa SHA512 4ace2bfe78e06723bedbc263c7b2b163bbc5c35bde84f286390cbfffc8c513bbd4a4f5f775e6d0a863ded7b24cb555c7784e7dd067c3b9125abd8d62863ac684
DIST bitarray-2.7.4.tar.gz 124644 BLAKE2B 7fc11eef67ec1424288952096acc6c629cc8281925a964cfbb384982eab9117b3def7a456dc740f9d5b7ee18dffa6c4747321dffed5f5e7fb674f5edf0324a88 SHA512 dbf92bfeae721319c928e336bc5afb8d146f2ad71fb57934dde489bc3db8db95a15690d8f1ca5c7354e44389043f194226afae5d9539495999ef486576639b6c
+DIST bitarray-2.7.5.tar.gz 124659 BLAKE2B dd52f9f5febcc1e808f2264123b00eb1f1d7e1d2691b7341f3a102bb2c9d9430ad188cde6784061cf996a726b91c6dcc7f55121e914d13c86ac9dd5774931983 SHA512 162a05626011955ce69caf3f1fcf1bca0db6818a6cc9c37d2abe6f481c71c4142903548ff08a10fb4162ba7ced4c5a427249b483493bbc3840ceff24f35a93e4
diff --git a/dev-python/bitarray/bitarray-2.7.5.ebuild b/dev-python/bitarray/bitarray-2.7.5.ebuild
new file mode 100644
index 000000000000..0caa62759874
--- /dev/null
+++ b/dev-python/bitarray/bitarray-2.7.5.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Efficient arrays of booleans -- C extension"
+HOMEPAGE="
+ https://github.com/ilanschnell/bitarray/
+ https://pypi.org/project/bitarray/
+"
+
+SLOT="0"
+LICENSE="PSF-2"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+python_test() {
+ "${EPYTHON}" bitarray/test_bitarray.py -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/jsonschema-spec/Manifest b/dev-python/jsonschema-spec/Manifest
index 099dc66992ee..d769edd21b00 100644
--- a/dev-python/jsonschema-spec/Manifest
+++ b/dev-python/jsonschema-spec/Manifest
@@ -1 +1,2 @@
DIST jsonschema-spec-0.1.4.gh.tar.gz 30903 BLAKE2B eae7ba8b811dfd14d9b2e33d3355bf8c98e088b1a8fa3314300dcc7edae31727cc5a01d0a06af412b8c7d59eca69ba816f6eb2683e997719fd300a3445e96cfd SHA512 6b3d1710fdd8c43a0f38d0687c95e4e70c55df964dc597e4a00abad3459610829bd90190b21c512c70d46498d98b80ecc2422eb73d7822539841ff10bc7c2c4f
+DIST jsonschema-spec-0.1.5.gh.tar.gz 36035 BLAKE2B 4e6019fb1c7f5e85a03488e00ef080798bc6e3e06999d9c9c931072c640fd74b5125882e43dca26bad1acc3bdacb06a26f2c95dff25339e3f8b785d759085a49 SHA512 c76b15a3ead9498696c80cf7a378a675194837f04cd88d81be5213a38cde8177d5e8f7866d007648b7013db74d1057b700b027a79bcd893b0d493269abcd621d
diff --git a/dev-python/jsonschema-spec/jsonschema-spec-0.1.5.ebuild b/dev-python/jsonschema-spec/jsonschema-spec-0.1.5.ebuild
new file mode 100644
index 000000000000..58cc3541e8a0
--- /dev/null
+++ b/dev-python/jsonschema-spec/jsonschema-spec-0.1.5.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="JSONSchema Spec with object-oriented paths"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema-spec/
+ https://github.com/p1c2u/jsonschema-spec/
+"
+SRC_URI="
+ https://github.com/p1c2u/jsonschema-spec/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ <dev-python/jsonschema-4.18[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-4.0.0[${PYTHON_USEDEP}]
+ dev-python/pathable[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ dev-python/pathable[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/--cov/d' -i pyproject.toml || die
+ # remove impossible constraint
+ sed -i -e '/typing.extensions/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index e9da2ac43cac..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 493 BLAKE2B 0df8bce19bc80f79f8e76bcef5a4c2caf333365fe0cb9a3c076b7858bceded5a3e58921474f866a2709dd657b7ed330c1ec4a7f9d7bab0fcf1bc92d77cabc32d SHA512 ea2a1adcb133ac5fc951ba1aa90ef1ce3dfcc424e59727591763d4875aa044a74188be2d15fd89c6b2e83ed6ea04ec3d9851ed584ae79d2c2c127bde7d994b48
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..ddb5b0f1787e 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,11 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
+ <email>cyber+gentoo@sysrq.in</email>
+ <name>Anna</name>
</maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pytest/Manifest b/dev-python/pytest/Manifest
index 7f1b1d95a42a..d06b1af82201 100644
--- a/dev-python/pytest/Manifest
+++ b/dev-python/pytest/Manifest
@@ -1 +1,2 @@
DIST pytest-7.3.1.tar.gz 1336938 BLAKE2B 8cabc475056000e393538c6c52e2ee5a9af6c57831c6aba82e3107ae44f88b63a68b37339842eebfa318bd27d4bf5e34959b72052d4646cc8682c84f131f98e7 SHA512 e6c8fcf1449f5e09e33c01ec2ade8812ceb13440324179288b8ca0eeaaffed1e581a65c8acf4c28efe61c19a067e7ceddccc45d8a1582c89259d53fee25ab253
+DIST pytest-7.3.2.tar.gz 1338457 BLAKE2B 4aa6ad62f654df9373427d9c19d92565a7da8d65460ee0872a30d4235e72af1ee3155871d7f7157b8e9c1173fc40bcdb87acab2b7bffdc6255cf8509e7a0bba3 SHA512 910de83f6ce47e7b1b25947050cf79e055ab04fd0c3dc3276546415684c20c8977883f16dfb913de3f339bc6284330f8a57d202c73f92b92545e45acb353b264
diff --git a/dev-python/pytest/pytest-7.3.2.ebuild b/dev-python/pytest/pytest-7.3.2.ebuild
new file mode 100644
index 000000000000..a0a2d0dceb13
--- /dev/null
+++ b/dev-python/pytest/pytest-7.3.2.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_TESTED=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Simple powerful testing with Python"
+HOMEPAGE="
+ https://pytest.org/
+ https://github.com/pytest-dev/pytest/
+ https://pypi.org/project/pytest/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/iniconfig[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-4.0.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-0.12[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ >=dev-python/tomli-1.0.0[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+"
+BDEPEND="
+ >=dev-python/setuptools-scm-6.2.3[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ $(python_gen_cond_dep '
+ dev-python/argcomplete[${PYTHON_USEDEP}]
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-3.56[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.7.2[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/xmlschema[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+
+src_test() {
+ # workaround new readline defaults
+ echo "set enable-bracketed-paste off" > "${T}"/inputrc || die
+ local -x INPUTRC="${T}"/inputrc
+ distutils-r1_src_test
+}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x COLUMNS=80
+
+ local EPYTEST_DESELECT=(
+ # broken by epytest args
+ testing/test_warnings.py::test_works_with_filterwarnings
+
+ # tend to be broken by random pytest plugins
+ # (these tests patch PYTEST_DISABLE_PLUGIN_AUTOLOAD out)
+ testing/test_helpconfig.py::test_version_less_verbose
+ testing/test_helpconfig.py::test_version_verbose
+ testing/test_junitxml.py::test_random_report_log_xdist
+ testing/test_junitxml.py::test_runs_twice_xdist
+ testing/test_terminal.py::TestProgressOutputStyle::test_xdist_normal
+ testing/test_terminal.py::TestProgressOutputStyle::test_xdist_normal_count
+ testing/test_terminal.py::TestProgressOutputStyle::test_xdist_verbose
+ testing/test_terminal.py::TestProgressWithTeardown::test_xdist_normal
+ testing/test_terminal.py::TestTerminalFunctional::test_header_trailer_info
+ testing/test_terminal.py::TestTerminalFunctional::test_no_header_trailer_info
+
+ # unstable with xdist
+ testing/test_terminal.py::TestTerminalFunctional::test_verbose_reporting_xdist
+
+ # TODO (XPASS)
+ testing/test_debugging.py::TestDebuggingBreakpoints::test_pdb_not_altered
+ testing/test_debugging.py::TestPDB::test_pdb_interaction_capturing_simple
+ testing/test_debugging.py::TestPDB::test_pdb_interaction_capturing_twice
+ testing/test_debugging.py::TestPDB::test_pdb_with_injected_do_debug
+ testing/test_debugging.py::test_pdb_suspends_fixture_capturing
+
+ # setuptools warnings
+ testing/acceptance_test.py::TestInvocationVariants::test_cmdline_python_namespace_package
+ )
+
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ # regressions on pypy3.9
+ # https://github.com/pytest-dev/pytest/issues/9787
+ testing/test_skipping.py::test_errors_in_xfail_skip_expressions
+ testing/test_unraisableexception.py
+ )
+
+ epytest -p xdist -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/pyupgrade/Manifest b/dev-python/pyupgrade/Manifest
index c3fff241583c..c632f19fbcc0 100644
--- a/dev-python/pyupgrade/Manifest
+++ b/dev-python/pyupgrade/Manifest
@@ -1,3 +1,4 @@
DIST pyupgrade-3.3.1.gh.tar.gz 62720 BLAKE2B e1b1d899bb46871f0a28ac3423efbcbd91e0bbdac2ab3054fc19434c67a8702e4967d3cd7674284022e7b7847dc947c8d1736eeee78d8a9416de2b7c25eae715 SHA512 1f062a884061e77ec11e6dd1cc1bedd2680b443b1268b30a9f6bfa2954ef3ff8a6dd1108abdb3a9b0acc937456fe6621a5ad3b9e9ad5c1696e95d0903859ff5f
DIST pyupgrade-3.3.2.gh.tar.gz 62698 BLAKE2B 5dc1d9e9ea7b91cb2835ffdbc109fb4fcde629f375c49714cf52fe779b20a61f38f13321a14803636e759ac8a4460e768c4173c6608da1cf7cd44a3a347660e9 SHA512 6436286a9398d9cae8c5e9cff2104c43638cafb866a1b97794c1d20cadc078ae5a657d1b83512461d20d2f581b8f8fbbb2ee4d0516f8e75d562c5934be4966e5
DIST pyupgrade-3.4.0.gh.tar.gz 62408 BLAKE2B a816cea1e2b17790312d4e17ec972a1e09a0dd81c6fe4f7eb28c686b39b468b84190b26cf9ae5a711f70f8c1213c0b472975cc76339f64d2af4b4a8593af6b79 SHA512 cf9b8d8b430949eb0b49ec1b28576db7d6932c83a727660fe5e2cd61ae32e3efba63120580e0184931e3fdd4a4913a0f9cb37984ca83adeab05ab3ca57107b27
+DIST pyupgrade-3.6.0.gh.tar.gz 62595 BLAKE2B a6622985e4b26bfb55cdeebd2323bd912289399bffa167b7d4ac1d16c11072b9b58793193febed31838d72691f3c6882914cd7005391f477a2ca6c78b808a33d SHA512 15b3ea59e0afbd5da0c2e7d60ed938d418107eb99cae7d2a5059fcea3f3ea69f451fed962cbdbb40655c39911c92f21bb9ace55f9b1bc65be2f8870b5b48acb8
diff --git a/dev-python/pyupgrade/pyupgrade-3.6.0.ebuild b/dev-python/pyupgrade/pyupgrade-3.6.0.ebuild
new file mode 100644
index 000000000000..3df105af07de
--- /dev/null
+++ b/dev-python/pyupgrade/pyupgrade-3.6.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tool + pre-commit hook to automatically upgrade syntax for newer Pythons"
+HOMEPAGE="
+ https://github.com/asottile/pyupgrade/
+ https://pypi.org/project/pyupgrade/
+"
+# no tests in sdist, as of 3.3.2
+SRC_URI="
+ https://github.com/asottile/pyupgrade/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ dev-python/tokenize-rt[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/sphinx-autoapi/Manifest b/dev-python/sphinx-autoapi/Manifest
index 8c1d52ada6d9..4d92d455d126 100644
--- a/dev-python/sphinx-autoapi/Manifest
+++ b/dev-python/sphinx-autoapi/Manifest
@@ -1 +1,2 @@
DIST sphinx-autoapi-2.1.0.gh.tar.gz 84842 BLAKE2B 0020640833039c5c15babeb2ed37bffa9a836209e51bb5d4873ccd34527f6b652516ceed95d2e823a9394e6154ea36311a78fcf0645723c3060a6eb7f31b0668 SHA512 4228c0d7c91a89933101d1c02689f1e25c453ead66814f8653f1e20b6330a20913b8d98573b3afb5459be972b73535cbe81fd267e721bedfb78a2de4673fa9e2
+DIST sphinx-autoapi-2.1.1.gh.tar.gz 86463 BLAKE2B 412a2c35bfddeb951de66648f39416bfed98ef357e540bf7fd85c4b6962cc97145519b98f87ea207580cb69c1b03260eedfb4872a389cd2dfe56bfe9c9868e46 SHA512 ec562b89f09b7b42cee283e471ab464e07f071f694fdd906984befab5669bcbe7c5d26e7aa2a81d9c64210680408998cbeade6cd8f6a988c3604e3846160ab2d
diff --git a/dev-python/sphinx-autoapi/sphinx-autoapi-2.1.1.ebuild b/dev-python/sphinx-autoapi/sphinx-autoapi-2.1.1.ebuild
new file mode 100644
index 000000000000..9959b710a8dc
--- /dev/null
+++ b/dev-python/sphinx-autoapi/sphinx-autoapi-2.1.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A new approach to API documentation in Sphinx"
+HOMEPAGE="
+ https://sphinx-autoapi.readthedocs.io/
+ https://github.com/readthedocs/sphinx-autoapi/
+ https://pypi.org/project/sphinx-autoapi/
+"
+# sdist is missing docs, as of 2.1.0
+SRC_URI="
+ https://github.com/readthedocs/sphinx-autoapi/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/anyascii[${PYTHON_USEDEP}]
+ dev-python/astroid[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-6.0[${PYTHON_USEDEP}]
+"
+
+DOCS=( README.rst CHANGELOG.rst )
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/python/test_pyintegration.py::TestPipeUnionModule::test_integration
+ "tests/test_integration.py::TestExtensionErrors::test_extension_setup_errors[dotnetexample"
+ )
+
+ distutils-r1_python_test
+}
diff --git a/dev-python/sqlalchemy/Manifest b/dev-python/sqlalchemy/Manifest
index 53481f0b5973..c8343a77ee6b 100644
--- a/dev-python/sqlalchemy/Manifest
+++ b/dev-python/sqlalchemy/Manifest
@@ -2,3 +2,4 @@ DIST SQLAlchemy-1.4.48.tar.gz 8448993 BLAKE2B 02c5457e099a0f0bb0e5427a95d3ea35d5
DIST SQLAlchemy-2.0.12.tar.gz 9264506 BLAKE2B 83a3aa719e2809b5b48ef5332cf6cbc0e973089dad142dbbe952d14b2e4f3e5a1cf67c7a7240017fbddfafe1c57d6acb974d9c61e72970d8a8c49b7a57f52a91 SHA512 0e4bbc7d4729b2667ca1e8a0c88293e44698346415e3742ad3c686495c9855b5714dab161590605d5ee60523a2544f590f67ac7d01f7f2756ddc7156688db902
DIST SQLAlchemy-2.0.13.tar.gz 9286442 BLAKE2B 3d2c06d7c89db1d5c5c13366cfc818720f8db0c1e26684c8de5856fd2cedf8c307f8653817eb080526b1da17bcfbd1163f1066226881ef47a553f5662e1989c2 SHA512 b560dedfaa1c2d854feddcb7ac343b184603db8143db8ec9551180fb5345ec793bc74211c838dd15cb45feba970d64f53daaeffe7d5bfa8c6c534742f6aa8453
DIST SQLAlchemy-2.0.15.tar.gz 9296612 BLAKE2B 45abdb9010b854e52762d9c84a471e92ece2b212620a74d161b19ef7c6bce3d9ad39b3075c4f32749774884e3ffe255f82028dd6a6375e269d2827cbf18c35e7 SHA512 a1b9301f4a81428ac36b9280840a27433fcfb97dec2a04888e6e53cc33104c82972147e2b840a929e05af0edb47ee496a7ed5171201332aad374ce64baef414d
+DIST SQLAlchemy-2.0.16.tar.gz 9381438 BLAKE2B 8999ab045d799c43de1b386d594022a8015fba4d69b3c910622e34b83ea7514b9cb97ab4f65997813eca058eff2a285ecc6cdd09396edf27a216fe412387ba7b SHA512 f0d5287ba6cee97316d6de7cf1c893dd749459d912872d903833abf905b6c282fa477910fa5eb11b5ba803314e16c3f1a9ac6b7639573c4c44ff921ea56132da
diff --git a/dev-python/sqlalchemy/sqlalchemy-2.0.16.ebuild b/dev-python/sqlalchemy/sqlalchemy-2.0.16.ebuild
new file mode 100644
index 000000000000..365901c782f4
--- /dev/null
+++ b/dev-python/sqlalchemy/sqlalchemy-2.0.16.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_REQ_USE="sqlite?"
+
+inherit distutils-r1 optfeature pypi
+
+MY_PN="SQLAlchemy"
+DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
+HOMEPAGE="
+ https://www.sqlalchemy.org/
+ https://pypi.org/project/SQLAlchemy/
+ https://github.com/sqlalchemy/sqlalchemy/
+"
+SRC_URI="$(pypi_sdist_url --no-normalize "${MY_PN}")"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="examples +sqlite test"
+
+RDEPEND="
+ >=dev-python/typing-extensions-4.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_impl_dep sqlite)
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/greenlet/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ test/ext/mypy/test_mypy_plugin_py3k.py
+ # hardcode call counts specific to Python versions
+ test/aaa_profiling
+ )
+ local EPYTEST_DESELECT=(
+ # warning tests are unreliable
+ test/base/test_warnings.py
+ # TODO
+ test/orm/test_versioning.py::ServerVersioningTest_sqlite+pysqlite_3_40_1::test_sql_expr_w_mods_bump
+ test/sql/test_resultset.py::CursorResultTest_sqlite+pysqlite_3_41_0::test_pickle_rows_other_process
+ )
+ local sqlite_version=$(sqlite3 --version | cut -d' ' -f1)
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ test/ext/test_associationproxy.py::ProxyHybridTest::test_msg_fails_on_cls_access
+ test/ext/test_associationproxy.py::DictOfTupleUpdateTest::test_update_multi_elem_varg
+ test/ext/test_associationproxy.py::DictOfTupleUpdateTest::test_update_one_elem_varg
+ test/engine/test_pool.py::QueuePoolTest::test_recycle_pool_no_race
+ test/engine/test_processors.py::PyDateProcessorTest::test_date_invalid_string
+ test/engine/test_processors.py::PyDateProcessorTest::test_datetime_invalid_string
+ test/engine/test_processors.py::PyDateProcessorTest::test_time_invalid_string
+ "test/dialect/test_sqlite.py::TestTypes_sqlite+pysqlite_${sqlite_version//./_}::test_cant_parse_datetime_message"
+ "test/dialect/test_suite.py::ReturningGuardsTest_sqlite+pysqlite_${sqlite_version//./_}"::test_{delete,insert,update}_single
+ test/base/test_utils.py::ImmutableDictTest::test_pep584
+ )
+ [[ ${EPYTHON} == python3.12 ]] && EPYTEST_DESELECT+=(
+ # see https://github.com/sqlalchemy/sqlalchemy/issues/9819
+ test/base/test_result.py::ResultTupleTest::test_slices_arent_in_mappings
+ )
+ if ! has_version "dev-python/greenlet[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_execution
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_run_sync
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[False-True]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[True-True]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[has_terminate-is_asyncio]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[not_has_terminate-is_asyncio]"
+ "test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True-_exclusions0]"
+ "test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True]"
+ )
+ fi
+
+ # upstream's test suite is horribly hacky; it relies on disabling
+ # the warnings plugin and turning warnings into errors; this also
+ # means that any DeprecationWarnings from third-party plugins cause
+ # everything to explode
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=
+ # upstream automagically depends on xdist when it is importable
+ # note that we can't use xdist because it causes nodes to randomly
+ # crash on init
+ if has_version "dev-python/pytest-xdist[${PYTHON_USEDEP}]"; then
+ PYTEST_PLUGINS+=xdist.plugin
+ fi
+ epytest
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "asyncio support" dev-python/greenlet
+ optfeature "MySQL support" \
+ dev-python/mysqlclient \
+ dev-python/pymysql \
+ dev-python/mysql-connector-python
+ optfeature "postgresql support" dev-python/psycopg:2
+}
diff --git a/dev-python/tempora/Manifest b/dev-python/tempora/Manifest
index 1538b4c0d3c9..5578c138987c 100644
--- a/dev-python/tempora/Manifest
+++ b/dev-python/tempora/Manifest
@@ -1 +1,2 @@
DIST tempora-5.2.2.tar.gz 20957 BLAKE2B f8463e544534c0d90bc90da7ed2a829a7afeba54b9c8f21cb831680caba493075b58544560a940d2449e4c9e4803be62413ea1029ee0ce80772ab212ff84a13e SHA512 2031f9ddca66fb0aa93aa1e1162450a3a14e17c41acd19fc657f3c0cd0c058487c9b1377c9f319b15c7f3c39393d184eabfa62038d0493fc3808b6557dfee2cb
+DIST tempora-5.3.0.tar.gz 20735 BLAKE2B 8e93ec6d680bf08877cce21403c8a2bd597980a8df9685c18f03c298fb986c3a6bafd1e8d2a1ab1bcd1b8a928b9259db87aafd6dd9e4eb652be71ab7540251f5 SHA512 0bc82318e275792e0ad7d56ac46b78fd6e75b8fc3b6a57b7138ed7800a2f9f8ef7e64c855bc54ac48e190bfd05e9ea3397b45544e4dcfb2e2905946d76bb2622
diff --git a/dev-python/tempora/tempora-5.3.0.ebuild b/dev-python/tempora/tempora-5.3.0.ebuild
new file mode 100644
index 000000000000..224ec6eb2d3a
--- /dev/null
+++ b/dev-python/tempora/tempora-5.3.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Objects and routines pertaining to date and time"
+HOMEPAGE="
+ https://github.com/jaraco/tempora/
+ https://pypi.org/project/tempora/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/jaraco-functools-1.20[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pytest-freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/tokenize-rt/Manifest b/dev-python/tokenize-rt/Manifest
index 40c12e3c1006..7b7bf0250f85 100644
--- a/dev-python/tokenize-rt/Manifest
+++ b/dev-python/tokenize-rt/Manifest
@@ -1 +1,2 @@
DIST tokenize-rt-5.0.0.gh.tar.gz 7235 BLAKE2B d5e5dd3637615c451463d85e63b6d48670ed18de58e111625b106cfc0af2616726d2ff510412decd32db2c67dea5807d5f9b64ecfa902f56fd32b739085698c3 SHA512 03e609b1a951e62fed797a10aad1813d324c96019bdf1ad0e413b278d04395d8c4e0d2f10189309338524d928b33441a1c0141cce922f25b9f8c2764415475f3
+DIST tokenize-rt-5.1.0.gh.tar.gz 7090 BLAKE2B 4ba6ad24c9cae7f077ae84cc43a5836e282fa2eae5cc1b93c717cf79d5d2afdd2801be0724c08710d88429b4f289086764e0b98533e9d120d66deb8499a8f022 SHA512 a09101eb94479d8e1a22c8976915c41bea1d193091aee9cbb7019846ff667aaa895ff2f9faa9ffa1fdf4ad4c31a76425e89c7aa46e0c16750f15cca117249b94
diff --git a/dev-python/tokenize-rt/tokenize-rt-5.1.0.ebuild b/dev-python/tokenize-rt/tokenize-rt-5.1.0.ebuild
new file mode 100644
index 000000000000..bf4aca02efe0
--- /dev/null
+++ b/dev-python/tokenize-rt/tokenize-rt-5.1.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A wrapper around the stdlib 'tokenize' which roundtrips"
+HOMEPAGE="
+ https://github.com/asottile/tokenize-rt/
+ https://pypi.org/project/tokenize-rt/
+"
+SRC_URI="
+ https://github.com/asottile/tokenize-rt/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+distutils_enable_tests pytest